Function AA(i, j, Y)
! Genereaza elementul (i,j) al matricii banda A
common n, LIM, NY0
real Y(NY0+n*LIM)

! La apel: j <= i - LIM + 1
if(j< i .or. j > i+LIM-1) then
AA =0.
else
AA = Y(loca(i,j))
endif

End Function AA
